#ifndef BS_CANNY_VIEW_H
#define BS_CANNY_VIEW_H

#include <QGraphicsView>
#include <QImage>
#include "bscannyitem.h"


/** 
 * @class BSCannyView bscannyview.h
 * \brief A Qt window to compare detected segments with CannyLines.
 * \author {P. Even}
 */
class BSCannyView : public QGraphicsView
{

public:

  /**
   * \brief Creates a CannyLine comparator view.
   */
  BSCannyView (QImage *im, BSDetector *sd);

  /**
   * \brief Deletes the CannyLine comparator view.
   */
  ~BSCannyView ();

  /**
   * \brief Redraws the CannyLine comparator view.
   */
  void paint (QPainter *painter,
              const QStyleOptionGraphicsItem *option, QWidget *widget);

  /**
   * \brief Processes key pressed events.
   */
  bool processKeyEvent (QKeyEvent *event);


protected:

private:

  /** Pointer to the blurred segment structure graphics item. */
  BSCannyItem *canny;
  /** Pointer to the displayed image. */
  QImage *image;

};

#endif
