#ifndef BS_YORK_VIEW_H
#define BS_YORK_VIEW_H

#include <QGraphicsView>
#include <QImage>
#include "bsyorkitem.h"


/** 
 * @class BSYorkView bsyorkview.h
 * \brief A Qt window to compare detected segments with York Urban image base.
 * \author {P. Even}
 */
class BSYorkView : public QGraphicsView
{

public:

  /**
   * \brief Creates a York Urban image database comparator view.
   */
  BSYorkView (QImage *im, BSDetector *sd);

  /**
   * \brief Deletes the York comparator view.
   */
  ~BSYorkView ();

  /**
   * \brief Redraws the York comparator view.
   */
  void paint (QPainter *painter,
              const QStyleOptionGraphicsItem *option, QWidget *widget);

  /**
   * \brief Processes key pressed events.
   */
  bool processKeyEvent (QKeyEvent *event);


protected:

private:

  /** Pointer to the blurred segment structure graphics item. */
  BSYorkItem *york;
  /** Pointer to the displayed image. */
  QImage *image;

};

#endif
